package com.ejie.ad74a.util;

import com.ejie.ad74a.util.constantes.ConstantesBatch;
import com.ejie.ad74a.util.constantes.TipoDocumentoEnum;

public class ParseUtils {

	public static TipoDocumentoEnum parseTipoDocumentoEnum(String tipoIdentificador) {
		switch (Integer.valueOf(tipoIdentificador)) {
		case ConstantesBatch.UNO:
			return TipoDocumentoEnum.DNI;
		case ConstantesBatch.DOS:
			return TipoDocumentoEnum.CIF;
		case ConstantesBatch.TRES:
			return TipoDocumentoEnum.NIE;
		case ConstantesBatch.CUATRO:
			return TipoDocumentoEnum.PASAPORTE;
		case ConstantesBatch.CINCO:
			return TipoDocumentoEnum.OTROS;
		default:
			return null;
		}
	}
}
